package net.thehelper.blackhole.voidparser;

import java.io.IOException;
import java.text.ParseException;

import net.thehelper.blackhole.model.BasicStatement;
import net.thehelper.blackhole.model.ScriptElement;

public class VoidscriptBasicStatementParser extends VoidscriptElementParser {

	@Override
	public ScriptElement parse(InStream inStream) throws ParseException,
			IOException {
		if (inStream.peekStatement().endsWith(";")){
			return new BasicStatement(inStream.popStatement());
		}
		return null;
	}

}
